var tab;

function setTabHeight() {
	var e = $(window).height(),
		t = $("#main-bd"),
		i = e - t.offset().top;
	t.height(i)
}

function setCurrentNav(e) {
	if (e) {
		var t = e.match(/([a-zA-Z0-9]+)[-]?/)[1];
		$("#nav > li").removeClass("current");
		$("#nav > li.item-" + t).addClass("current")
	}

}

function showUserInfo() {
	tab.addTabItem({
		tabid: "userInfo",
		text: "个人信息",
		url: "/user/userInfo.html",
		showClose: true
	});
}

var model = avalon.define({
	$id: "ctrl",
	init: function() {

		callback();
		setTabHeight();
		$(window).bind("resize", function() {
			setTabHeight()
		});
		$("#page-tab").ligerTab({
			height: "100%",
			changeHeightOnResize: true,
			onBeforeAddTabItem: function(e) {
				setCurrentNav(e)
			},
			onAfterAddTabItem: function() {},
			onAfterSelectTabItem: function(e) {
				setCurrentNav(e)
			},
			onBeforeRemoveTabItem: function() {},
			onAfterLeaveTabItem: function(e) {}
		});
		tab = $("#page-tab").ligerGetTabManager();
		tab.addTabItem({
			tabid: "2",
			text: "用户",
			url: "/user/index.html",
			showClose: false
		});

		if ($.cookie("ReloadTips")) {
			Public.tips({
				content: $.cookie("ReloadTips")
			});
			$.cookie("ReloadTips", null)
		}
		$("#logoutBtn").click(function() {
			$.dialog.confirm("确定要退出吗？未保存的数据将会丢失，请先保存再点击退出！", function() {
                $.ajax({
                    url : '/index/logout',
                    type : 'GET',
                    success : function(data) {
                        if(!data.successed){
                            model.errMsg = data.errorDesc;
                            return;
                        }
                        window.location.reload();
                    },
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        $("#validCodeImg").click();
                        model.errMsg = XMLHttpRequest.responseJSON.errorDesc;
                    }
                });
			});
		});
	}
	
});

function callback() {
		! function(e) {
			var t = e("#nav"),
				i = e("#nav > li"),
				j = 0,
				length = i.length;
			e.each(i, function() {
				var i = e(this).find(".sub-nav-wrap");
				e(this).on("mouseover", function() {
					t.removeClass("static");
					e(this).addClass("on");
					i.stop(true, true).fadeIn(150)
				}).on("mouseleave", function() {
					t.addClass("static");
					e(this).removeClass("on");
					i.stop(true, true).hide()
				});
				if (j == 0)
					i.addClass("group-nav-t0");
				if (j == i.length - 1)
					i.addClass("group-nav");
				j++;
			});
			e(".sub-nav-wrap a").bind("click", function() {
				e(this).parents(".sub-nav-wrap").hide()
			})
		}(jQuery);
		/**控制模块显示*/
		/**重新设置二级菜单显示*/
		var subnavList = $(".item:visible>.sub-nav-wrap");
		for (var i = 1; i < subnavList.length; i++) {
			var $nav = $(subnavList[i]);
			// var oWidth = $(subnavList[i]).find("div").eq(0).height();
			// $nav.css("top", 0 - ($nav.height() / 2 - 40));
			$nav.css("top", 0);

		}
		$(".group-nav-t0").css("top", 0);
		if (subnavList.length > 7) {
			var $nav = $(subnavList[subnavList.length - 1]);
			$nav.css("top", "").css("bottom", 0);
		}
		$("#nav").on(
			"click",
			"a[rel=pageTab]",
			function(e) {
				e.preventDefault();
				var t = $(this).data("right");
				if (t && !Business.verifyRight(t))
					return false;
				var i = $(this).attr("tabid"),
					a = $(this).attr("href"),
					r = $(
						this).attr("showClose"),
					n = $(this).attr("tabTxt") || $(this).text().replace(">", ""),
					o = $(this).attr(
						"parentOpen");
				o ? parent.tab.addTabItem({
						tabid: i,
						text: n,
						url: a,
						showClose: r
					}) :
					tab.addTabItem({
						tabid: i,
						text: n,
						url: a,
						showClose: r
					});
				return false
			});
		roll();
		$(window).resize(function() {
			roll();
		});
	}
function roll() {
	var navHeight = $("#nav").height();
	var windowHeight = $(window).height();
	var liHeight = $("#nav li").eq(0).height();
	var moveHeight = 0;

	$("#col-side").css({
		'height': windowHeight
	});

	if (navHeight > windowHeight) {
		var changeHeight = navHeight - windowHeight;
		$("#nav-j-down").css("top", windowHeight - 35);
		$("#nav-j-down").show();
		$("#nav-j-up").show();
	} else {
		moveHeight = 0;
		$("#nav").animate({
			margin: 0
		});
		$("#nav-j-down").hide();
		$("#nav-j-up").hide();
	}

	function navUp() {
		if (moveHeight > 0) {
			moveHeight = moveHeight - liHeight;
			$("#nav").animate({
				"margin-top": -moveHeight
			});
		}
	};

	function navDown() {
		if ((navHeight - moveHeight- liHeight) > (windowHeight - liHeight)) {
			moveHeight = moveHeight + liHeight;
			
			$("#nav").animate({
				"margin-top": -moveHeight
			});
		}
	};


	$("#nav-j-up").click(function() {
		navUp();
	});
	$("#nav-j-down").click(function() {
		navDown();
	});

	jQuery(function($) {
		$('#nav')
			.bind('mousewheel', function(event, delta) {
				var dir = delta > 0 ? 'Up' : 'Down';
				if (dir == 'Up') {
					navUp();
				} else {
					navDown();
				}
				return false;
			});
	});

}
model.init();