var model = avalon.define({
	$id: 'edit',
	data: {
		'id': "",
		'mobile': "",
		'name': "",
		'password': "",
		'nickName': "",
		'sex': "男",
		'email': "",
		'remark': "",
		'isEnable': 0
	},
	password:'',
	rePassword:''
});
var THISPAGE = {
	_init: function() {
		var self = this;
		self.api = frameElement.api;
		// 接收id
		self.id = self.api.data.id;
		self._render();
		self._bindEvent();
	},
	_render: function() {
		var self = this;
		self._validator();
		self._getInfo();
	},
	_bindEvent: function() {
		var self = this;
		// 初始化按钮 及 绑定事件
		self.api.button({
			id: "saveAndNew",
			focus: !0,
			name: "<i class='fa fa-save mrb'></i> 保存",
			callback: function() {
				$("#base_form").trigger("validate");
				return false;
			}
		}, {
			name: "关闭"
		});
	},
	_getInfo: function() {
		var self = this;
		Public.ajaxGet("/user/getDetail", {
			id: self.id
		}, function(res) {
			if (res.successed) {
				avalon.mix(model.data, res.returnValue);
			} else {
				parent.Public.tips({
					type: 1,
					content: res.errorDesc
				});
			}
		});

	},
	_updateData: function() {
		var self = this;
        model.data.password=model.password
		Public.ajaxPost("/user/update", model.data.$model, function(res) {
			if (res.successed) {
				// 成功提示框
				parent.parent.Public.tips({
					content: "修改成功！"
				});
				// 调用index中_reloadData 重新加载数据
				parent.THISPAGE._reloadData();

				// 关闭模态框
				self.api.close();

			} else {
				parent.parent.Public.tips({
					type: 1,
					content: "修改失败！" + res.errorDesc
				});
			}
		});
	},
	_validator: function() {
		var self = this;
		$("#base_form").validator({

			valid: function() {
				self._updateData();
			},
			ignore: ":hidden",
			theme: "yellow_bottom",
			timely: 1,
			stopOnError: true
		});
	}
};

THISPAGE._init();