var model = avalon.define({
	$id: 'edit',
	data: {
		oldPassword: "",
		newPassword: "",
		rePassword: ""
	}
});

var THISPAGE = {
	_init: function() {
		var self = this;
		self.api = frameElement.api;
		// 接收id
		self.id = self.api.data.id;
		self._render();
		self._bindEvent();
	},
	_render: function() {
		var self = this;
		self._validator();
	},
	_bindEvent: function() {
		var self = this;
		// 初始化按钮 及 绑定事件
		self.api.button({
			id: "saveAndNew",
			focus: !0,
			name: "<i class='fa fa-save mrb'></i> 保存",
			callback: function() {
				$("#base_form").trigger("validate");
				return false;
			}
		}, {
			name: "关闭"
		});
	},

	_updateData: function() {
		var self = this;
		Public.ajaxPost("/user/editPassword", model.data.$model, function(res) {
			if (res.successed) {
				// 成功提示框
				parent.parent.Public.tips({
					content: "修改成功！"
				});
				parent.THISPAGE._getInfo();
				// 关闭模态框
				self.api.close();

			} else {
				parent.parent.Public.tips({
					type: 1,
					content: "修改失败！" + res.errorDesc
				});
			}
		});
	},
	_validator: function() {
		var self = this;
		$("#base_form").validator({

			valid: function() {
				self._updateData();
			},
			ignore: ":hidden",
			theme: "yellow_bottom",
			timely: 1,
			stopOnError: true
		});
	}
};

THISPAGE._init();