var model = avalon.define({
	$id: 'view',
	data: {}
});
/**自定义filter 用法：{{model.attr | isHead}}*/
avalon.filters.YesOrNo = function(str) {
	return {
		"y": "是",
		"n": "否"
	}[str];
}

var THISPAGE = {
	_init: function() {
		var self = this;
		self.api = frameElement.api;
		// 接收id
		self.id = $("#id").val();
		self._render();
		tab = parent.parent.tab;
		// 修改个人信息
		$("#J_edit_user_info").on("click", function(e) {
			e.preventDefault();
			self._giveDialogEditUserInfo();
		});

		// 修改密码
		$("#J_edit_pwd").on("click", function(e) {
			e.preventDefault();
			self._giveDialogEditPwd();
		});


	},
	_render: function() {
		var self = this;
		self._getInfo();
	},
	_getInfo: function() {
		var self = this;
		Public.ajaxGet("/user/getDetail", {
			id: self.id
		}, function(res) {
			if (res.successed) {
				model.data = res.returnValue;
			} else {
				parent.Public.tips({
					type: 1,
					content: res.errorDesc
				});
			}
		});
	},
	//修改个人信息
	_giveDialogEditUserInfo: function() {
		var self = this;
		$.dialog({
			init: function() {
				var height = $(window).height() - 65;
				$(".ui_main").css("height", height);
			},
			title: "修改个人信息",
			content: "url:" + "/user/editUserInfo.html",
			data: {
				id: model.data.id
			},

			max: true,
			min: false,
			cache: false,
			resize: true,
			lock: true
		}).max()
	},

	//修改密码
	_giveDialogEditPwd: function() {
		var self = this;
		$.dialog({
			init: function() {
				var height = $(window).height() - 65;
				$(".ui_main").css("height", height);
			},
			title: "修改密码",
			content: "url:" + "/user/editPassword.html",
			data: {
				id: model.data.id
			},

			max: true,
			min: false,
			cache: false,
			resize: true,
			lock: true
		}).max()
	}
};
THISPAGE._init();